@extends('layouts.connected')

@inject('tag_detector', 'App\Services\TagDetectorService)

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    <h1>{{ strftime('%B %G', $today->format('U')) }}</h1>
                    @if($already)
                        <div class="alert alert-info" role="alert">L'activité du jour a été entrée.</div>
                    @else
                    <form action="{{ url('store') }}" method="post" accept-charset="utf-8">
                        @csrf
                        <div class="contact-form">
                            <div class="form-group">
                                <label class="control-label col-sm-5" for="message">Quoi de neuf aujourd'hui ?</label>
                                <div class="col-sm-10">
                                    <div id="app">
                                    </div>
                                    <span class="text-danger">{{ $errors->first('message') }}</span>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-offset-2 col-sm-10">
                                    <button type="submit" class="btn btn-default">J'enregistre ma journée</button>
                                </div>
                            </div>
                        </div>
                    </form>
                   @endif
                    @foreach($posts as $post)
                        <div class="post">
                            <p>{{ \Carbon\Carbon::instance($post->date_post)->diffForHumans() }}</p>
                            <p>{!! $tag_detector->linkTagFrom($post->content) !!}</p>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
